Test a Host Assigner
curl --request POST \
--url https://api.getnexor.ai/api/public/workflows/{id}/host-assigner/test \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"tool": "<string>",
"id_field": "<string>",
"external_key": "<string>",
"identity": true,
"args": {}
}
'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/host-assigner/test"
payload = {
"tool": "<string>",
"id_field": "<string>",
"external_key": "<string>",
"identity": True,
"args": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: '<string>',
id_field: '<string>',
external_key: '<string>',
identity: true,
args: {}
})
};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/host-assigner/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"step": "tool_call",
"tool": "<string>",
"status": 123,
"response": "<unknown>",
"available_fields": [
"<string>"
],
"hint": "<string>",
"error": "<string>",
"resolved": {
"external_id": "<string>",
"name_in_response": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_name": "<string>"
},
"checks": {
"tool_responded": true,
"id_field_present": true,
"mapped_in_team": true,
"calendar_connected": true
}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}Test a Host Assigner
This operation lets you test a host assigner for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
POST
/
workflows
/
{id}
/
host-assigner
/
test
Test a Host Assigner
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Workflow identifier.
Body
application/json
Response
Successful response.
Last modified on September 8, 2026
⌘I